## NAME

g.list - Lists available GRASS data base files of the user-specified data type to standard output.
(GRASS File Management Program)

## SYNOPSIS

g.list
g.list help
g.list [-f] type=datatype [mapset=name]

## DESCRIPTION

g.list allows the user to list user-specified, available and accessible files from mapsets under the user's current location.

## OPTIONS

When invoked simply as g.list, the program prompts the user for the type of data to be listed from all mapsets in the user's current mapset search path. The user can list files from a mapset not listed in the current mapset search path by running the program non-interactively, specifying the (optional) flag setting and parameter values on the command line. Program flag and parameters are described below.

### Flags:

-f
  Returns a verbose file listing, that includes map TITLEs.

### Parameters:

type=datatype
  The type of data to be listed.
  Options: (listed in bold)
  rast
    Raster files
  vect
    Binary vector files
  icon
    Paint icon files
  labels
    Paint labels files
  sites
    Site list files
  region
    Region definition files
  group
    Imagery group files
mapset=name
  The name of a mapset to be searched for files of the specified type. Any mapset name under the current location, whether or not it is listed in the user's current mapset search path, can be specified.
  Default: If unspecified, files of the specified type from all mapsets in the user's current search path will be listed to standard output.

## NOTES

If the user requests that files from a mapset to which access has been restricted (see g.access) be listed, no files from this mapset will be listed.

## SEE ALSO

g.access
g.mapsets

## AUTHOR

Michael Shapiro, U.S.Army Construction Engineering Research Laboratory

Last changed: $Date: 2002/01/25 05:45:33 $